Zeitgeist.Monitor – zeitgeist-2.0 Reference Manual

# Monitor

## Object Hierarchy:

## Description:

public class Monitor : Object, RemoteMonitor

Listens for updates to the Zeitgeist event log

A #Monitor listens for updates to the Zeitgeist event log matching a given set of templates and with timestamps in some predefined time range.

A monitor must be installed into the running Zeitgeist daemon by calling zeitgeist_log_install_monitor(). The monitor will not emit any of the ::events-added or ::events-deleted signals before this.

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Properties:

- public GenericArray<Event> event_templates { get; set construct; }
- public TimeRange time_range { get; set construct; }

### Creation methods:

- public Monitor (TimeRange time_range, owned GenericArray<Event> event_templates)
  zeitgeist_monitor_new

### Methods:

- public ObjectPath get_path ()
- public GenericArray<Event> get_templates ()
- public async void notify_delete (Variant time_range, uint32[] event_ids)
- public async void notify_insert (Variant time_range, Variant events)

### Signals:

- public signal void events_deleted (TimeRange time_range, uint32[] event_ids)
  ZeitgeistMonitor::events-deleted:
- public signal void events_inserted (TimeRange time_range, ResultSet events)
  ZeitgeistMonitor::events-inserted:

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Zeitgeist.RemoteMonitor

- notify_delete

- notify_insert